[![Build Status](https://www.travis-ci.com/SridharJagannathan/pyroglancer.svg?branch=master)](https://www.travis-ci.com/SridharJagannathan/pyroglancer) [![Coverage Status](https://coveralls.io/repos/github/SridharJagannathan/pyroglancer/badge.svg?branch=master)](https://coveralls.io/github/SridharJagannathan/pyroglancer?branch=master) [![PyPI version](https://badge.fury.io/py/pyroglancer.svg)](https://badge.fury.io/py/pyroglancer)

![image](https://github.com/SridharJagannathan/pyroglancer/raw/master/docs/_static/pyroglancer_logo.png)

Pythonic interface to neuroglancer for displaying neuronal data like
neurons, synapses, meshes (surfaces, volumes), annotations (points) in
the precomputed format.

Installation
============

The easiest way to install the package is via `pip`:

    $ pip3 install pyroglancer

The easiest way to install the latest developments from `GitHub` is:

    $ pip3 install git+git://github.com/SridharJagannathan/pyroglancer@master

Documentation
=============

<https://SridharJagannathan.github.io/pyroglancer>

Features
========

-   Fetch and display neurons from the hemibrain, FAFB dataset
-   Display synapse annotations etc

Acknowledgements
================

Thanks to [Jeremy Maitin-Shepard](https://github.com/jbms) from google
for inventing the precomputed format and answering many of my queries. The pyroglancer
logo was inspired from [PyPy](https://www.pypy.org/). The pyroglancer critically depends on
packages like [NAVis](https://github.com/schlegelp/navis) for interfacing with neuron data.

Copyright & License
===================

Copyright (c) 2021, [Sridhar Jagannathan](https://github.com/SridharJagannathan).
3-clause BSD License.
